img_user = a
img_name = cory
img_tag = local

cory: clean
	go build  -o ./cory ./_cmd/cory-bin

docker:
	DOCKER_BUILDKIT=1 docker build -f server.Dockerfile -t $(img_user)/$(img_name):$(img_tag) .

server-run: docker
	docker run -p 3333:3333 $(img_user)/$(img_name):$(img_tag) --serve

clean:
	rm -rf cory
